// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Voltage-limiting types
 * </pre>
 *
 * Protobuf enum {@code commonmodule.VoltLimitModeKind}
 */
public enum VoltLimitModeKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>VoltLimitModeKind_UNDEFINED = 0;</code>
   */
  VoltLimitModeKind_UNDEFINED(0),
  /**
   * <pre>
   * Testing status
   * </pre>
   *
   * <code>VoltLimitModeKind_off = 1;</code>
   */
  VoltLimitModeKind_off(1),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_high_limit_only = 2;</code>
   */
  VoltLimitModeKind_high_limit_only(2),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_low_limit_only = 3;</code>
   */
  VoltLimitModeKind_low_limit_only(3),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_high_low_limits = 4;</code>
   */
  VoltLimitModeKind_high_low_limits(4),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_ivvc_high_limit_only = 5;</code>
   */
  VoltLimitModeKind_ivvc_high_limit_only(5),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_ivvc_low_limit_only = 6;</code>
   */
  VoltLimitModeKind_ivvc_low_limit_only(6),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_ivvc_high_low_limits = 7;</code>
   */
  VoltLimitModeKind_ivvc_high_low_limits(7),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>VoltLimitModeKind_UNDEFINED = 0;</code>
   */
  public static final int VoltLimitModeKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * Testing status
   * </pre>
   *
   * <code>VoltLimitModeKind_off = 1;</code>
   */
  public static final int VoltLimitModeKind_off_VALUE = 1;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_high_limit_only = 2;</code>
   */
  public static final int VoltLimitModeKind_high_limit_only_VALUE = 2;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_low_limit_only = 3;</code>
   */
  public static final int VoltLimitModeKind_low_limit_only_VALUE = 3;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_high_low_limits = 4;</code>
   */
  public static final int VoltLimitModeKind_high_low_limits_VALUE = 4;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_ivvc_high_limit_only = 5;</code>
   */
  public static final int VoltLimitModeKind_ivvc_high_limit_only_VALUE = 5;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_ivvc_low_limit_only = 6;</code>
   */
  public static final int VoltLimitModeKind_ivvc_low_limit_only_VALUE = 6;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>VoltLimitModeKind_ivvc_high_low_limits = 7;</code>
   */
  public static final int VoltLimitModeKind_ivvc_high_low_limits_VALUE = 7;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static VoltLimitModeKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static VoltLimitModeKind forNumber(int value) {
    switch (value) {
      case 0: return VoltLimitModeKind_UNDEFINED;
      case 1: return VoltLimitModeKind_off;
      case 2: return VoltLimitModeKind_high_limit_only;
      case 3: return VoltLimitModeKind_low_limit_only;
      case 4: return VoltLimitModeKind_high_low_limits;
      case 5: return VoltLimitModeKind_ivvc_high_limit_only;
      case 6: return VoltLimitModeKind_ivvc_low_limit_only;
      case 7: return VoltLimitModeKind_ivvc_high_low_limits;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<VoltLimitModeKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      VoltLimitModeKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<VoltLimitModeKind>() {
          public VoltLimitModeKind findValueByNumber(int number) {
            return VoltLimitModeKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(29);
  }

  private static final VoltLimitModeKind[] VALUES = values();

  public static VoltLimitModeKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private VoltLimitModeKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.VoltLimitModeKind)
}

